:root {
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;

  --main-color: rgb(255, 255, 255);
  --secondary-color: rgb(253, 255, 230);
  --background-color: rgb(245, 245, 245);
  --details-color: rgb(0, 0, 0);
}

main {
  overflow: hidden;
  padding: 0px;
}
.h1-name {
  color: var(--main-color);
  padding-top: 20px;
  padding-left: 20px;
}

.header-name {
  text-decoration: none;
  transition: transform 0.5s ease;
}

.header-name:hover {
  transform: scale(1.1);
}

.header-name:focus {
  outline: 2px solid rgb(247, 23, 206);
  box-shadow: 0 0 0 2px rgba(0, 0, 255, 0.3);
}

.header {
  padding-left: 20px;
  display: flex;
  justify-content: space-between;
}

.title {
  font-size: 27px;
  color: var(--secondary-color);
  max-width: 400px;
  padding-bottom: 20px;
}

.about-me-container {
  padding-left: 40px;
}
.about-me {
  font-size: 18px;
  color: var(--secondary-color);
  max-width: 500px;
}

.about-me-text {
  padding-bottom: 20px;
}

.social-links {
  display: flex;
  padding: 20px;
}

.link {
  text-decoration: none;
  margin: 1px;
  transition: transform 0.3s ease;
}

.link:hover {
  transform: scale(1.1);
}

.link:focus {
  outline: 2px solid rgb(247, 23, 206);
  box-shadow: 0 0 0 2px rgba(0, 0, 255, 0.3);
}

section {
  padding-top: 20px;
  padding-bottom: 40px;
}

.my-button {
  color: var(--details-color);
  padding: 10px 20px;
  font-size: 16px;
  background-color: var(--main-color);
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s, transform 0.3s, box-shadow 0.3s;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
  float: right;
  text-decoration: none;
  margin-right: 20px;
}

.my-button:hover {
  background-color: var(--details-color);
  color: var(--main-color);
  transform: scale(1.05);
  box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.2);
}

.my-button:active {
  transform: scale(0.95);
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}
.my-button:focus {
  outline: 2px solid rgb(247, 23, 206);
  outline-offset: 1px;
  box-shadow: 0 0 0 3px rgba(0, 0, 255, 0.3);
}

.copyright {
  text-align: right;
  padding-top: 100px;
  padding-right: 20px;
  padding-bottom: 10px;
  font-size: 14px;
  color: #999;
  position: absolute;
  bottom: 0;
  right: 0;
}

.profile-picture {
  object-fit: cover;
  margin: 0px;
  width: 200px;
  height: 200px;
  border-radius: 50%;
}

.profile-picture-container {
  padding-left: 40px;
}

/* Media query for responsiveness */
@media screen and (max-width: 768px) {
  .copyright {
    padding-right: 10px;
  }
}

@media screen and (max-width: 600px) {
  section {
    padding-top: 0px;
  }
  .header {
    display: block;
  }
  .social-links {
    padding: 0px;
    padding-top: 10px;
    padding-bottom: 40px;
  }
  .h1-name {
    padding-top: 30px;
    margin-top: 0px;
    padding-left: 0px;
  }
  .about-me-container {
    padding-left: 20px;
    padding-right: 20px;
    font-size: 8px;
  }
  .background {
    background-color: var(--details-color);
  }
  .profile-picture-container {
    padding-left: 20px;
    padding-top: 20px;
  }
}

@media screen and (max-width: 529px) {
  .my-button {
    margin-right: 0px;
  }
}
